Name: rocky-sbc-utils
Version: 1.0
Release: 7%{?dist}
Summary: Rocky SBC utilities

License: GPLv3
BuildArch: noarch
Requires: systemd

Source0: rootfs-expand
Source1: README
Source2: fix-wifi-rpi.sh

%description
This package contains a few scripts and utilities including the default Rocky AltArch README as well as a script for expanding the rootfs.  It also contains a oneshot service for the Raspberry Pi Zero 2w.

%install
install -d -m 0755 %{buildroot}/%{_bindir}
install -d -m 0755 %{buildroot}/%{_sysconfdir}/skel
install -p -m 0755 %{SOURCE0} %{buildroot}/%{_bindir}/rootfs-expand
install -p -m 0644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/skel/README
install -p -m 0755 %{SOURCE2} %{buildroot}%{_bindir}/fix-wifi-rpi.sh

%post
%systemd_post fix-wifi.service

%preun
%systemd_preun fix-wifi.service

%postun
%systemd_posttrans fix-wifi.service

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/rootfs-expand
%attr(0644,root,root) %{_sysconfdir}/skel/README
%attr(0755,root,root) %{_bindir}/fix-wifi-rpi.sh
